<?php

declare(strict_types=1);

namespace Drupal\entity_sync_odata\EntitySync\Api;

use SaintSystems\OData\Query\Builder;
use SaintSystems\OData\Query\Grammar as ODataGrammar;

/**
 * A Grammar for the OData client.
 *
 * It simply fixes a bug present in the default grammar provided by
 * `saintsystems/odata-client-php`. It should be removed after the following
 * pull request is merged into the main repo:
 * https://github.com/saintsystems/odata-client-php/pull/152.
 */
class Grammar extends ODataGrammar {

  /**
   * {@inheritdoc}
   */
  protected function compileSkipToken(Builder $query, $skiptoken) {
    return '$skiptoken=' . $skiptoken;
  }

}
